﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FlexGridInkInput
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var ink = new FlexGrid.Ink.Input.InputManager() { FlexGrid = flexGrid };
        }

        private void FlexGrid_Loaded(object sender, RoutedEventArgs e)
        {
            foreach (var col in flexGrid.Columns)
                col.Width = new GridLength(1, GridUnitType.Star);
        }
    }
    public class CustomDataManager
    {
        private List<Product> _products;
        public List<Product> Products
        {
            get
            {
                if (_products == null)
                    InitCustomProducts();
                return _products;
            }
        }
        private void InitCustomProducts()
        {
            _products = new List<Product>();
            for (int i = 0; i < 100; i++)
            {
                _products.Add(new Product());
            }
        }
    }
    public class Product
    {
        static Random _rnd = new Random();
        static string[] _names = "Macko|Surfair|Pocohey|Studeby".Split('|');
        static string[] _lines = "Computers|Washers|Stoves|Cars".Split('|');
        static string[] _colors = "Red|Green|Blue|White".Split('|');

        public string Name { get; set; }
        public string Color { get; set; }
        public string Line { get; set; }
        public double Price { get; set; }
        public double Cost { get; set; }
        public DateTime Introduced { get; set; }
        public bool Discontinued { get; set; }
        public Product()
        {
            Name = _names[_rnd.Next() % _names.Length];
            Line = _lines[_rnd.Next() % _lines.Length];
            Color = _colors[_rnd.Next() % _colors.Length];
            Price = 30 + _rnd.NextDouble() * 1000;
            Cost = 3 + _rnd.NextDouble() * 300;
            Discontinued = _rnd.NextDouble() < .2;
            Introduced = DateTime.Today.AddDays(_rnd.Next(-600, 0));
        }
    }
}
